VirtualBox

Ticket #17851 (closed defect: fixed)

Opened 17 months ago

Last modified 15 months ago

VM fails to start with error VERR_LDRELF_RELOCATION_NOT_SUPPORTED when built on Debian unstable -> fixed after (not in) 5.2.14

Reported by: radnaj Owned by:
Component: other Version: VirtualBox 5.2.14
Keywords: 5.2.14, fail to start, VERR_LDRELF_RELOCATION_NOT_SUPPORTED Cc:
Guest type: all Host type: Linux

Description

In Debian Linux, after update to version 5.12.14 from version 5.12.12, the virtual machines fail to start due to an error "VERR_LDRELF_RELOCATION_NOT_SUPPORTED"

The Debian bug id is Bug#902897 ( https://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg1613858.html), and has been reported by a few people.

Some VirtualBox Logs compiled from my box and posted by others can be seen attached

Attachments

Christian_Marillat Download (3.3 KB) - added by radnaj 17 months ago.
Kali-Linux-2018.2-vbox-amd64-2018-07-03-14-27-04.log Download (3.3 KB) - added by radnaj 17 months ago.
startup error.png Download (40.5 KB) - added by radnaj 17 months ago.
Tobias_Wich Download (3.4 KB) - added by radnaj 17 months ago.
Volker_Christian Download (3.4 KB) - added by radnaj 17 months ago.
W10-2018-07-03-14-29-07.log Download (3.2 KB) - added by radnaj 17 months ago.
renoch-VBox.log Download (3.1 KB) - added by renoch 16 months ago.
vbox log with "fail to start guest" issue
VBox.log Download (3.1 KB) - added by Karma 16 months ago.
VBox fails to start Windows Guest on Linux Host (4.16.0-1-amd64 #1 SMP Debian 4.16.5-1 (2018-04-29) x86_64 GNU/Linux)
VBox.2.log Download (2.7 KB) - added by kodtaku 16 months ago.
Guest: FreeBSD -- Host: Debian 4.16.0-2-amd64 #1 SMP Debian 4.16.16-2 (2018-06-22) x86_64 GNU/Linux
R_X86_64_PLT32.diff Download (1.7 KB) - added by bird 16 months ago.
Patches for dealing with R_X86_64_PLT32 relocation.
R_X86_64_PLT32-r2.diff Download (2.1 KB) - added by bird 16 months ago.

Change History

Changed 17 months ago by radnaj

Changed 17 months ago by radnaj

Changed 17 months ago by radnaj

Changed 17 months ago by radnaj

Changed 17 months ago by radnaj

Changed 17 months ago by radnaj

Changed 16 months ago by renoch

vbox log with "fail to start guest" issue

Changed 16 months ago by Karma

VBox fails to start Windows Guest on Linux Host (4.16.0-1-amd64 #1 SMP Debian 4.16.5-1 (2018-04-29) x86_64 GNU/Linux)

Changed 16 months ago by kodtaku

Guest: FreeBSD -- Host: Debian 4.16.0-2-amd64 #1 SMP Debian 4.16.16-2 (2018-06-22) x86_64 GNU/Linux

comment:1 Changed 16 months ago by janitor

You fail to mention that "In Debian Linux" actually seems to mean debian unstable, at least as far as I can infer from the thread on debian-bugs.

comment:2 Changed 16 months ago by janitor

All these reports are for Debian's own package. Does the package from www.virtualbox.org work?

Also, was there a recent binutils upgrade in unstable?

comment:3 Changed 16 months ago by Kabelsalat

There were binutils upgrades in July, but they look innocuous:

binutils (2.30.90.20180705-1) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20180705).
    - Install the diagnostics.h header. Closes: #902823.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jul 2018 17:55:14 +0200

binutils (2.30.90.20180627-1) unstable; urgency=medium

  * Snapshot, taken from the 2.31 branch (20180627).
    - CVE-2018-10372: PR binutils/23064, Fix illegal memory access when parsing
      corrupt DWARF information.
    - CVE-2018-10373: PR binutils/23065, nm segfault.
    - CVE-2018-10534: PR binutils/23110, objcopy segfault.
    - CVE-2018-10535: PR binutils/23113, objcopy segfault.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jun 2018 21:55:43 +0200

binutils (2.30.52.20180613-1) experimental; urgency=medium

  * Snapshot, taken from the trunk (20180613).

 -- Matthias Klose <doko@debian.org>  Wed, 13 Jun 2018 14:20:30 +0200

comment:4 Changed 16 months ago by Kabelsalat

When I use the package you provide for Debian stretch (64 bit), I get this error message:

WARNING: The vboxdrv kernel module is not loaded. Either there is no module
         available for the current kernel (4.16.0-2-amd64) or it failed to             
         load. Please recompile the kernel module and install it by      
                                                                             
           sudo /sbin/vboxconfig                                               
                                                                                    
         You will not be able to start VMs until this problem is fixed.        
VBoxManage: error: Failed to create the VirtualBox object!                     
VBoxManage: error: Code NS_ERROR_FACTORY_NOT_REGISTERED (0x80040154) - Class not registered (extended info not available)
VBoxManage: error: Most likely, the VirtualBox COM server is not running or failed to start.

When I then tried sudo apt --fix-broken install things got really messy (segmentation violation!):

Die folgenden zusätzlichen Pakete werden installiert:
  libvpx4
Die folgenden NEUEN Pakete werden installiert:
  libvpx4
0 aktualisiert, 1 neu installiert, 0 zu entfernen und 94 nicht aktualisiert.
1 nicht vollständig installiert oder entfernt.
Es müssen 776 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 2.378 kB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n]
Holen:1 http://ftp.de.debian.org/debian unstable/main amd64 libvpx4 amd64 1.6.1-3+deb9u1 [776 kB]
Es wurden 776 kB in 1 s geholt (635 kB/s).
Vormals nicht ausgewähltes Paket libvpx4:amd64 wird gewählt.
(Lese Datenbank ... 559103 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../libvpx4_1.6.1-3+deb9u1_amd64.deb ...
Entpacken von libvpx4:amd64 (1.6.1-3+deb9u1) ...
libvpx4:amd64 (1.6.1-3+deb9u1) wird eingerichtet ...
Trigger für libc-bin (2.27-4) werden verarbeitet ...
virtualbox-5.2 (5.2.14-123301~Debian~stretch) wird eingerichtet ...
addgroup: Die Gruppe »vboxusers« existiert bereits als Systemgruppe. Programmende.

Message from syslogd@denovo at Jul 11 19:13:42 ...
 kernel:[63360.731295] systemd[1]: segfault at ffffffffffffffe0 ip 00007f867105f937 sp 00007ffc4f169588 error 5 in libc-2.27.so[7f8670f27000+146000]                                                                                         

Broadcast message from systemd-journald@denovo (Wed 2018-07-11 19:13:42 CEST):

systemd[1]: Caught <SEGV>, dumped core as pid 8926.


Broadcast message from systemd-journald@denovo (Wed 2018-07-11 19:13:42 CEST):

systemd[1]: Freezing execution.


Message from syslogd@denovo at Jul 11 19:13:42 ...
 systemd[1]: Caught <SEGV>, dumped core as pid 8926.

Message from syslogd@denovo at Jul 11 19:13:42 ...
 systemd[1]: Freezing execution.
Failed to enable unit: Failed to activate service 'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)                                                                                                                      
Failed to enable unit: Failed to activate service 'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)
Failed to enable unit: Failed to activate service 'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)
Failed to enable unit: Failed to activate service 'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)
Failed to start vboxdrv.service: Failed to activate service 'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)
See system logs and 'systemctl status vboxdrv.service' for details.
Failed to start vboxballoonctrl-service.service: Die Wartezeit für die Verbindung ist abgelaufen
See system logs and 'systemctl status vboxballoonctrl-service.service' for details.

Sorry for the bits of German in there.

comment:5 Changed 16 months ago by bird

Looks like binutils commit 451875b4f976a527395e9303224c7881b65e12ed ( http://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;a=commit;h=451875b4f976a527395e9303224c7881b65e12ed) is what is causing this problem.

Changed 16 months ago by bird

Patches for dealing with R_X86_64_PLT32 relocation.

Changed 16 months ago by bird

comment:6 Changed 16 months ago by bird

  • Summary changed from VM fails to start with error VERR_LDRELF_RELOCATION_NOT_SUPPORTED after update to 5.2.14 to VM fails to start with error VERR_LDRELF_RELOCATION_NOT_SUPPORTED after update to 5.2.14 [FIXED IN SVN]

The R_X86_64_PLT32-r2.diff patches fixes the issue. It has been applied in SVN and will be included in the next 5.2.x release (soon).

Btw. the linux kernel required similar modifications:  https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=b21ebf2fb4cde1618915a97cc773e287ff49173e

comment:7 Changed 16 months ago by michael

  • Summary changed from VM fails to start with error VERR_LDRELF_RELOCATION_NOT_SUPPORTED after update to 5.2.14 [FIXED IN SVN] to VM fails to start with error VERR_LDRELF_RELOCATION_NOT_SUPPORTED when built on Debian unstable -> fixed after (not in) 5.2.14

comment:8 Changed 15 months ago by michael

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use